20

I would like to instal putty with use of Homebrew. I'm performing the following command:

brew install putty

which gives the seemingly correct output:

==> Downloading https://homebrew.bintray.com/bottles/putty-0.67.el_capitan.bottle.tar.gz
Already downloaded: /Users/thisuser/Library/Caches/Homebrew/putty-0.67.el_capitan.bottle.tar.gz
==> Pouring putty-0.67.el_capitan.bottle.tar.gz
🍺  /usr/local/Cellar/putty/0.67: 11 files, 1.5M

However, the putty command is not recognised:

thisuser-541/41:~$ putty
-bash: putty: command not found
4
  • is there a putty in /usr/local/bin – mmmmmm Jun 4 '16 at 21:41
  • Is it possible that you did not add /usr/local/bin to your PATH variable? Execute echo $PATH and post the output here. – NSSynapse Jun 4 '16 at 22:23
  • 2
    The /usr/local/bin is in the $PATH. For some reason putty is not, only puttygen. – Konrad Jun 5 '16 at 9:10
  • check this folder /usr/local/Cellar/putty/0.63/bin/ there might be no putty in there, but as you said there may be puttygen. – Elshan Mar 11 '20 at 22:45
15

Update: Current stable version (.67) of putty can't be build with gtk+2 support on OS X using homebrew. This is a know issue #40951. It seems you can install from HEAD version (brew install --HEAD --with-gtk+3 putty) and for me that is also broken.

brew install putty by default installs from a pre-built bottle. The pre-built bottle for putty doesn't include putty, puttytel or pterm.

If you want putty then can try installing from source. First remove the installed putty formula by running brew remove putty. After that install putty from source by running brew install --build-from-source --with-gtk+3 putty.

NOTE: As of this writing building putty from source is broken with homebrew

If someone is getting an error like this: invalid option: --with-gtk+3, all installation options are removed with the latest version of the brew. source

5
  • 1
    if it helps - the source of putty formula – forevergenin Jun 5 '16 at 9:17
  • 5
    removed putty, did the brew install --build-from-source --with-gtk+3 putty, all appears to install normal. But still no putty app. What am I missing? Thanks in advance for the help! – user265259 Nov 25 '17 at 0:31
  • 5
    Error: invalid option: --with-gtk+3 – aeroxy May 16 '19 at 4:51
  • @aeroxy try to install gtk3 first then try it again. brew install gtk+3 – Elshan Mar 11 '20 at 23:04
  • execute: brew install gtk+3 , but try to execute brew install --build-from-source --with-gtk+3 putty and returned error Error: invalid option: --with-gtk+3 – Nikolay Baranenko Feb 25 at 13:44
1

On Catalina the putty formula only installs 4 helper tools and not the application.

MD5 (plink) = d16fd757c526aa77f760f6e1f3a2cd50
MD5 (pscp) = cbae18d5ca00b3f43db502d4c826316a
MD5 (psftp) = b1568055518b21e9612984558ca7192f
MD5 (puttygen) = 9001883be59e4956e06bb1eaa8f189bd

You probably want to use screen and scp / ssh over putty unless you have a very specific need. In this question, there's no explanation of what putty will do, so feel free to ask a follow on question explaining how you intend to use putty on Catalina and link here if you think I could be of use in answering a related question.

When I say "on Catalina" I'm referring to this build:

mike@me bin % brew info putty
putty: stable 0.73 (bottled), HEAD
Implementation of Telnet and SSH
https://www.chiark.greenend.org.uk/~sgtatham/putty/
Conflicts with:
  pssh (because both install `pscp` binaries)
/usr/local/Cellar/putty/0.73 (12 files, 1.9MB) *
  Poured from bottle on 2020-05-16 at 07:11:14
From: https://github.com/Homebrew/homebrew-core/blob/master/Formula/putty.rb
==> Dependencies
Build: pkg-config ✔
==> Options
--HEAD
    Install HEAD version
==> Analytics
install: 8,542 (30 days), 26,477 (90 days), 105,520 (365 days)
install-on-request: 8,442 (30 days), 26,142 (90 days), 103,075 (365 days)
build-error: 0 (30 days)
-2

Putty can be installed with three easy steps:

1. First Open the terminal
2. Install the homebrew
3. Run command "brew install putty"

You can get the detailed steps at BrewInstall Search for any mac app or packages here and get steps to install it.

2
  • This doesn't address the problem raised in the question. Also, this basically is a link-only answer. Please include the relevant parts directly in your post so people don't need to follow a link to find the solution. – nohillside May 16 '20 at 6:23
  • After you run these steps - how does putty run? This is not a helpful answer unless I have missed something essential when I answered. Am I out of date and this package has anything except 4 helpers since May? – bmike Sep 21 '20 at 23:00

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .